

## ------------------------------------------------------------------------ ##
##  R scripts for " A New Parametric Approach to Smoothing and Forecasting  ##
##                 of Mortality "                                           ##
## ------------------------------------------------------------------------ ##
##  Script        Scripts to plot the original data  -  Script n•02         ##
## ------------------------------------------------------------------------ ##
##  Description   Script to to plot the original data                       ##
## ------------------------------------------------------------------------ ##
##  Author        Tomas Julien                                              ##
## ------------------------------------------------------------------------ ##
##  Version       01 - 19/10/2012                                           ##
## ------------------------------------------------------------------------ ##

## ---------------- If necessary,

rm(list=ls(all=TRUE))

## ------------------------------------------------------------------------ ##
##           	       Change the workspace repository                      ##
## ------------------------------------------------------------------------ ##

setwd("...")

## ------------------------------------------------------------------------ ##
##           	               Load functions                               ##
## ------------------------------------------------------------------------ ##

## --- Miscellaneous functions

source("Misc_functions.R")

## --- Graphic functions

require(lattice); require(grid); require(latticeExtra)

## --- Load X11 options

X11.options(type="nbcairo",family="FreeSans")

## ------------------------------------------------------------------------ ##
##           	                 Original data                              ##
## ------------------------------------------------------------------------ ##

## ---------------- Load Data

load("L_h.RData")

load("D_h.RData")

load("ETR_h.RData")

Age <- 30:90; Year <- 1996:2007


## --- Surface plot

x11();
surface_plot(L_h, expression(paste(L[h])), c(min(Age),max(Age),min(Year), max(Year)))

x11();
surface_plot(D_h, expression(paste(D[h])), c(min(Age),max(Age),min(Year), max(Year)))

x11();
surface_plot(ETR_h, expression(paste(ETR[h])), c(min(Age),max(Age),min(Year), max(Year)))

x11();
surface_plot(log(D_h/ETR_h), expression(paste("log ",mu[h])), c(min(Age),max(Age),min(Year), max(Year)))
