

## ------------------------------------------------------------------------ ##
##  R scripts for " A New Parametric Approach to Smoothing and Forecasting  ##
##                 of Mortality "                                           ##
## ------------------------------------------------------------------------ ##
##  Script        Scripts to store models  -  Script n•04                   ##
## ------------------------------------------------------------------------ ##
##  Description   Script to store the models and the fits into a list.      ##
## ------------------------------------------------------------------------ ##
##  Author        Tomas Julien                                              ##
## ------------------------------------------------------------------------ ##
##  Version       01 - 19/10/2012                                           ##
## ------------------------------------------------------------------------ ##

## ---------------- If necessary,

rm(list=ls(all=TRUE))

## ------------------------------------------------------------------------ ##
##           	       Change the workspace repository                      ##
## ------------------------------------------------------------------------ ##

setwd("...")

## ------------------------------------------------------------------------ ##
##           	                     Models                                 ##
## ------------------------------------------------------------------------ ##

## ---------------- Load the models

## --- Local likelihood

load("mod.lk_h.RData")

## --- Relational

load("mod.rel_h.RData")

## ---------------- Store into a list

mod.all.h <- vector("list",9)
mod.all.h[[1]] <- mod.lk_h[[1]]
mod.all.h[[2]] <- mod.lk_h[[2]]
mod.all.h[[3]] <- mod.lk_h[[3]]
mod.all.h[[4]] <- mod.lk_h[[4]]
mod.all.h[[5]] <- mod.lk_h[[5]]
mod.all.h[[6]] <- mod.lk_h[[6]]
mod.all.h[[7]] <- mod.lk_h[[7]]
mod.all.h[[8]] <- mod.rel_h[[1]]
mod.all.h[[9]] <- mod.rel_h[[2]]

names(mod.all.h) <- c("M1", "M2.INSEE", "M2.TG05","M3.INSEE", "M3.TG05","M4.INSEE", "M4.TG05", "M5.INSEE", "M5.TG05")

save(mod.all.h, file="mod.all.h.RData")

## ------------------------------------------------------------------------ ##
##           	                     fits                                   ##
## ------------------------------------------------------------------------ ##

## --- Local likelihood

load("fit.lk_h.RData")

## --- Relational

load("fit.rel_h.RData")

## ---------------- Store into a list

fit.all.h <- vector("list",9)
fit.all.h[[1]] <- fit.lk_h[[1]]
fit.all.h[[2]] <- fit.lk_h[[2]]
fit.all.h[[3]] <- fit.lk_h[[3]]
fit.all.h[[4]] <- fit.lk_h[[4]]
fit.all.h[[5]] <- fit.lk_h[[5]]
fit.all.h[[6]] <- fit.lk_h[[6]]
fit.all.h[[7]] <- fit.lk_h[[7]]
fit.all.h[[8]] <- fit.rel_h[[1]]
fit.all.h[[9]] <- fit.rel_h[[2]]

names(fit.all.h) <- c("M1", "M2.INSEE", "M2.TG05","M3.INSEE", "M3.TG05","M4.INSEE", "M4.TG05", "M5.INSEE", "M5.TG05")

save(fit.all.h, file="fit.all.h.RData")



