

## ------------------------------------------------------------------------ ##
##  R scripts for " A New Parametric Approach to Smoothing and Forecasting  ##
##                 of Mortality "                                           ##
## ------------------------------------------------------------------------ ##
##  Script        Scripts to store forecast  -  Script n•07                 ##
## ------------------------------------------------------------------------ ##
##  Description   Script to store                                           ##
## ------------------------------------------------------------------------ ##
##  Author        Tomas Julien                                              ##
## ------------------------------------------------------------------------ ##
##  Version       01 - 20/10/2012                                           ##
## ------------------------------------------------------------------------ ##

## ---------------- If necessary,

rm(list=ls(all=TRUE))

## ------------------------------------------------------------------------ ##
##           	       Change the workspace repository                      ##
## ------------------------------------------------------------------------ ##

setwd("...")

## ------------------------------------------------------------------------ ##
##           	               Load functions                               ##
## ------------------------------------------------------------------------ ##

## --- Miscellaneous functions

source("Misc_functions.R")

## --- Graphic functions

require(lattice); require(grid); require(latticeExtra)

## --- Load X11 options

X11.options(type="nbcairo",family="FreeSans")

## ------------------------------------------------------------------------ ##
##           	           Load extrapolated tables                         ##
## ------------------------------------------------------------------------ ##

Age <- 30:90; Year <- 1996:2035

extrapolated_tables_h <- vector("list",9)


## - Load predictions and fits obtained by a local likelihood and PCA

load("pred.pca_h.RData")

for(i in 1:7){
	extrapolated_tables_h[[i]] <- pred.pca_h[[i]]
	colnames(extrapolated_tables_h[[i]]) <-  as.character(Year) }


## - Load predictions and fits obtained with the relational models

load("pred.rel_h.RData")

for(i in 1:2){
	extrapolated_tables_h[[i+7]] <- pred.rel_h[[i]][,as.character(Year)] }
	







